#ifndef _DRAW_UTIL_H
#define _DRAW_UTIL_H

#include <gtk/gtk.h>
#include <gdk/gdk.h>

typedef struct {
    double x;
    double y;
} BmpPoint;

void
draw_polygon (cairo_t *cr, GdkColor *color, double alpha, BmpPoint points[], gint n_points, gboolean fill);

void
draw_rectangle_simple (cairo_t *cr, GdkColor *color, double alpha, gint x, gint y, gint width, gint height);

void
draw_rounded_rectangle_pattern (cairo_t *cr, double xc, double yc, double _w, double _h, cairo_pattern_t *cr_pattern, double line_width, gboolean fill, gdouble rounding_offset);

void
draw_rounded_rectangle (cairo_t *cr, double xc, double yc, double _w, double _h, GdkColor *color, double alpha, double line_width, gboolean fill, gdouble rounding_offset);

void
gdk_color_to_rgba (GdkColor *color, double *r, double *g, double *b, double *a);
 
#endif
